X2Go Bug report logs - #304
Inconsistent licensing for x2goplasmabindings

version graph

Package: x2goplasmabindings; Maintainer for x2goplasmabindings is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Fri, 6 Sep 2013 22:18:02 UTC

Severity: normal

Tags: pending

Found in version 3.0.1.5

Fixed in version 3.0.2.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#304; Package x2goplasmabindings. (Fri, 06 Sep 2013 22:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 06 Sep 2013 22:18:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: Inconsistent licensing for x2goplasmabindings
Date: Fri, 06 Sep 2013 16:04:22 -0600
Package: x2goplasmabindings
Version: 3.0.1.5

The debian/copyright file indicates GPLv2+
But:

fsitem.cpp: *No copyright* LGPL (v2)
fsitem.h: *No copyright* LGPL (v2)
plasmax2godialog.cpp: *No copyright* LGPL (v2)
plasmax2godialog.h: *No copyright* LGPL (v2)
plasmoidhovereditem.cpp: *No copyright* LGPL (v2)
plasmoidhovereditem.h: *No copyright* LGPL (v2)

x2goplasmoid.cpp: *No copyright* UNKNOWN
x2goplasmoid.h: *No copyright* UNKNOWN

So - the license of the x2goplasmoid.* files should be specified and the 
debian/copyright file should be updated.  A COPYING file in the main directory 
would be good too.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#304; Package x2goplasmabindings. (Wed, 02 Apr 2014 09:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 02 Apr 2014 09:15:01 GMT) Full text and rfc822 format available.

Message #10 received at 304@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 304-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 304@bugs.x2go.org
Subject: X2Go issue (in src:x2goplasmabindings) has been marked as pending for release
Date: Wed, 2 Apr 2014 11:12:54 +0200 (CEST)
tag #304 pending
fixed #304 3.0.2.1
thanks

Hello,

X2Go issue #304 (src:x2goplasmabindings) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goplasmabindings.git;a=commitdiff;h=40aaa31

The issue will most likely be fixed in src:x2goplasmabindings (3.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 40aaa314a67f03cbd25b806956023602993cda44
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Apr 2 11:12:44 2014 +0200

    Update license information. (Fixes: #304).
    
    * New upstream version (3.0.2.1):
      - Add copyright notices to file headers. Add COPYING file (LGPL-2).
    * debian/copyright:
      + Update file. Make it DEB-5 compliant.

diff --git a/debian/changelog b/debian/changelog
index 7e768dc..491868c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,9 @@
 x2goplasmabindings (3.0.2.1-0x2go1) UNRELEASED; urgency=low
 
-  * Continue development...
+  * New upstream version (3.0.2.1):
+    - Add copyright notices to file headers. Add COPYING file (LGPL-2). (Fixes: #304).
+  * debian/copyright:
+    + Update file. Make it DEB-5 compliant.
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 02 Apr 2014 10:51:34 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 02 Apr 2014 09:15:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.0.2.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 02 Apr 2014 09:15:02 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#304. (Wed, 02 Apr 2014 09:15:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#304; Package x2goplasmabindings. (Tue, 10 Feb 2015 22:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 10 Feb 2015 22:30:02 GMT) Full text and rfc822 format available.

Message #22 received at 304@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager <git-admin@x2go.org>
To: 304-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 304@bugs.x2go.org
Subject: X2Go issue (in src:x2goplasmabindings) has been marked as closed
Date: Tue, 10 Feb 2015 23:25:46 +0100 (CET)
close #304
thanks

Hello,

we are very hopeful that X2Go issue #304 reported by you
has been resolved in the new release (3.0.2.1) of the
X2Go source project »src:x2goplasmabindings«.

You can view the complete changelog entry of src:x2goplasmabindings (3.0.2.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goplasmabindings.

    http://code.x2go.org/gitweb?p=x2goplasmabindings.git;a=commitdiff;h=39032a21408d727505da0452b7dc9dfe46b3605f;hp=69fb8b0af0804c4e5a0f1eee0385f67591ef13d4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goplasmabindings.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goplasmabindings
Version: 3.0.2.1-0x2go1
Status: RELEASE
Date: Tue, 10 Feb 2015 23:22:29 +0100
Fixes: 304
Changes: 
 x2goplasmabindings (3.0.2.1-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (3.0.2.1):
     - Add copyright notices to file headers. Add COPYING file (LGPL-2). (Fixes: #304).
     - CMakeLists.txt. Set application name to plasma-applet-x2goplasmoid.
     - Fix installation path of Bokmal translation file by renaming
       po/nb_no.po to po/nb_NO.po.
   * debian/copyright:
     + Update file. Make it DEP-5 compliant.
   * x2goplasmabindings.spec:
     + Adapt to building on openSUSE/SLES.
     + Different RPM distros have different or no %cmake macro.
     + Find a common cmake approach for all RPM distros.
     + Drop ctest call. No tests present.
     + The plasmoid ends up in %{_libexecdir} (not %{_libdir}).
     + Rename plasma-widget-x2go to plasma-addons-x2go.
     + Use non-stanard Group: on SUSE.
     + Add to BR: intltool (otherwise no i18n support).
     + Set KDE4_PLASMA_LIBS instead of CMAKE_INSTALL_LIBDIR.
     + Set PLUGIN_INSTALL_DIR explicitly when evoking make
       install (should fix FTBFS on EPEL-7 based systems).
     + Always set BuildRoot: parameter.
     + For SUSE 11.x: set CMAKE_SKIP_RPATH to ON.
     + Be more explicit on what files to install and mark our dirs as
       owned.
 .
   [ Martti Pitkänen ]
   * New upstream version (3.0.2.1):
     - Add Finnish translation file.
 .
   [ Jos Wolfram ]
   * New upstream version (3.0.2.1):
     - Add Dutch translation file.
 .
   [ Robert Parts ]
   * New upstream version (3.0.2.1):
     - Add Estonian translation file.
 .
   [ Mark Pedersen-Cook ]
   * New upstream version (3.0.2.1):
     - Update Danish translation file.
 .
   [ Kaan Ozdincer ]
   * New upstream version (3.0.2.1):
     - Add Turkish translation file.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Tue, 10 Feb 2015 22:30:03 GMT) Full text and rfc822 format available.

Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Tue, 10 Feb 2015 22:30:03 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#304. (Tue, 10 Feb 2015 22:30:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 11 Mar 2015 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Jul 24 04:57:52 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.